--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: attempt to change bot's nick to <tt>name</tt>
full_name: Irc::Bot#nickchg
is_singleton: false
name: nickchg
params: (name)
visibility: public
